// this code is generated and should not be modified
package org.isda.cdm;

import org.hyperledger.composer.system.*;
import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@JsonIgnoreProperties({"$class"})
public class OptionCashSettlement extends Concept {
   private String id;
   private CashSettlementPaymentDate cashSettlementPaymentDate;
   private BusinessCenterTime cashSettlementValuationTime;
   private RelativeDateOffset cashSettlementValuationDate;
   private CashPriceMethod cashPriceMethod;
   private CashPriceMethod cashPriceAlternateMethod;
   private YieldCurveMethod parYieldCurveAdjustedMethod;
   private YieldCurveMethod zeroCouponYieldAdjustedMethod;
   private YieldCurveMethod parYieldCurveUnadjustedMethod;
   private CrossCurrencyMethod crossCurrencyMethod;
   private YieldCurveMethod collateralizedCashPriceMethod;
   public String getId() {
      return this.id;
   }
   public CashSettlementPaymentDate getCashSettlementPaymentDate() {
      return this.cashSettlementPaymentDate;
   }
   public BusinessCenterTime getCashSettlementValuationTime() {
      return this.cashSettlementValuationTime;
   }
   public RelativeDateOffset getCashSettlementValuationDate() {
      return this.cashSettlementValuationDate;
   }
   public CashPriceMethod getCashPriceMethod() {
      return this.cashPriceMethod;
   }
   public CashPriceMethod getCashPriceAlternateMethod() {
      return this.cashPriceAlternateMethod;
   }
   public YieldCurveMethod getParYieldCurveAdjustedMethod() {
      return this.parYieldCurveAdjustedMethod;
   }
   public YieldCurveMethod getZeroCouponYieldAdjustedMethod() {
      return this.zeroCouponYieldAdjustedMethod;
   }
   public YieldCurveMethod getParYieldCurveUnadjustedMethod() {
      return this.parYieldCurveUnadjustedMethod;
   }
   public CrossCurrencyMethod getCrossCurrencyMethod() {
      return this.crossCurrencyMethod;
   }
   public YieldCurveMethod getCollateralizedCashPriceMethod() {
      return this.collateralizedCashPriceMethod;
   }
   public void setId(String id) {
      this.id = id;
   }
   public void setCashSettlementPaymentDate(CashSettlementPaymentDate cashSettlementPaymentDate) {
      this.cashSettlementPaymentDate = cashSettlementPaymentDate;
   }
   public void setCashSettlementValuationTime(BusinessCenterTime cashSettlementValuationTime) {
      this.cashSettlementValuationTime = cashSettlementValuationTime;
   }
   public void setCashSettlementValuationDate(RelativeDateOffset cashSettlementValuationDate) {
      this.cashSettlementValuationDate = cashSettlementValuationDate;
   }
   public void setCashPriceMethod(CashPriceMethod cashPriceMethod) {
      this.cashPriceMethod = cashPriceMethod;
   }
   public void setCashPriceAlternateMethod(CashPriceMethod cashPriceAlternateMethod) {
      this.cashPriceAlternateMethod = cashPriceAlternateMethod;
   }
   public void setParYieldCurveAdjustedMethod(YieldCurveMethod parYieldCurveAdjustedMethod) {
      this.parYieldCurveAdjustedMethod = parYieldCurveAdjustedMethod;
   }
   public void setZeroCouponYieldAdjustedMethod(YieldCurveMethod zeroCouponYieldAdjustedMethod) {
      this.zeroCouponYieldAdjustedMethod = zeroCouponYieldAdjustedMethod;
   }
   public void setParYieldCurveUnadjustedMethod(YieldCurveMethod parYieldCurveUnadjustedMethod) {
      this.parYieldCurveUnadjustedMethod = parYieldCurveUnadjustedMethod;
   }
   public void setCrossCurrencyMethod(CrossCurrencyMethod crossCurrencyMethod) {
      this.crossCurrencyMethod = crossCurrencyMethod;
   }
   public void setCollateralizedCashPriceMethod(YieldCurveMethod collateralizedCashPriceMethod) {
      this.collateralizedCashPriceMethod = collateralizedCashPriceMethod;
   }
}
