// this code is generated and should not be modified
package org.isda.cdm;

import org.hyperledger.composer.system.*;
import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@JsonIgnoreProperties({"$class"})
public class Bond extends Concept {
   private Period paymentFrequency;
   private String dayCountFractionScheme;
   private double parValue;
   private double issuanceFaceAmount;
   private DayCountFractionEnum dayCountFraction;
   private String couponTypeScheme;
   private String seniorityScheme;
   private String issuerName;
   private String issuerReference;
   private CreditSeniorityEnum seniority;
   private CouponTypeEnum couponType;
   private double couponRate;
   private java.util.Date maturity;
   private java.util.Date issueDate;
   private String id;
   private String currency;
   private String clearanceSystemScheme;
   private String productIdentifierScheme;
   private ProductIdentifier[] productIdentifier;
   private ProductTaxonomy[] productTaxonomy;
   private String description;
   private String clearanceSystem;
   private String currencyScheme;
   public Period getPaymentFrequency() {
      return this.paymentFrequency;
   }
   public String getDayCountFractionScheme() {
      return this.dayCountFractionScheme;
   }
   public double getParValue() {
      return this.parValue;
   }
   public double getIssuanceFaceAmount() {
      return this.issuanceFaceAmount;
   }
   public DayCountFractionEnum getDayCountFraction() {
      return this.dayCountFraction;
   }
   public String getCouponTypeScheme() {
      return this.couponTypeScheme;
   }
   public String getSeniorityScheme() {
      return this.seniorityScheme;
   }
   public String getIssuerName() {
      return this.issuerName;
   }
   public String getIssuerReference() {
      return this.issuerReference;
   }
   public CreditSeniorityEnum getSeniority() {
      return this.seniority;
   }
   public CouponTypeEnum getCouponType() {
      return this.couponType;
   }
   public double getCouponRate() {
      return this.couponRate;
   }
   public java.util.Date getMaturity() {
      return this.maturity;
   }
   public java.util.Date getIssueDate() {
      return this.issueDate;
   }
   public String getId() {
      return this.id;
   }
   public String getCurrency() {
      return this.currency;
   }
   public String getClearanceSystemScheme() {
      return this.clearanceSystemScheme;
   }
   public String getProductIdentifierScheme() {
      return this.productIdentifierScheme;
   }
   public ProductIdentifier[] getProductIdentifier() {
      return this.productIdentifier;
   }
   public ProductTaxonomy[] getProductTaxonomy() {
      return this.productTaxonomy;
   }
   public String getDescription() {
      return this.description;
   }
   public String getClearanceSystem() {
      return this.clearanceSystem;
   }
   public String getCurrencyScheme() {
      return this.currencyScheme;
   }
   public void setPaymentFrequency(Period paymentFrequency) {
      this.paymentFrequency = paymentFrequency;
   }
   public void setDayCountFractionScheme(String dayCountFractionScheme) {
      this.dayCountFractionScheme = dayCountFractionScheme;
   }
   public void setParValue(double parValue) {
      this.parValue = parValue;
   }
   public void setIssuanceFaceAmount(double issuanceFaceAmount) {
      this.issuanceFaceAmount = issuanceFaceAmount;
   }
   public void setDayCountFraction(DayCountFractionEnum dayCountFraction) {
      this.dayCountFraction = dayCountFraction;
   }
   public void setCouponTypeScheme(String couponTypeScheme) {
      this.couponTypeScheme = couponTypeScheme;
   }
   public void setSeniorityScheme(String seniorityScheme) {
      this.seniorityScheme = seniorityScheme;
   }
   public void setIssuerName(String issuerName) {
      this.issuerName = issuerName;
   }
   public void setIssuerReference(String issuerReference) {
      this.issuerReference = issuerReference;
   }
   public void setSeniority(CreditSeniorityEnum seniority) {
      this.seniority = seniority;
   }
   public void setCouponType(CouponTypeEnum couponType) {
      this.couponType = couponType;
   }
   public void setCouponRate(double couponRate) {
      this.couponRate = couponRate;
   }
   public void setMaturity(java.util.Date maturity) {
      this.maturity = maturity;
   }
   public void setIssueDate(java.util.Date issueDate) {
      this.issueDate = issueDate;
   }
   public void setId(String id) {
      this.id = id;
   }
   public void setCurrency(String currency) {
      this.currency = currency;
   }
   public void setClearanceSystemScheme(String clearanceSystemScheme) {
      this.clearanceSystemScheme = clearanceSystemScheme;
   }
   public void setProductIdentifierScheme(String productIdentifierScheme) {
      this.productIdentifierScheme = productIdentifierScheme;
   }
   public void setProductIdentifier(ProductIdentifier[] productIdentifier) {
      this.productIdentifier = productIdentifier;
   }
   public void setProductTaxonomy(ProductTaxonomy[] productTaxonomy) {
      this.productTaxonomy = productTaxonomy;
   }
   public void setDescription(String description) {
      this.description = description;
   }
   public void setClearanceSystem(String clearanceSystem) {
      this.clearanceSystem = clearanceSystem;
   }
   public void setCurrencyScheme(String currencyScheme) {
      this.currencyScheme = currencyScheme;
   }
}
