// this code is generated and should not be modified
package org.isda.cdm;

import org.hyperledger.composer.system.*;
import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@JsonIgnoreProperties({"$class"})
public class CalculationPeriodDates extends Concept {
   private String id;
   private CalculationPeriodFrequency calculationPeriodFrequency;
   private DateInstances effectiveDate;
   private AdjustableDate terminationDate;
   private java.util.Date firstCompoundingPeriodEndDate;
   private StubPeriodTypeEnum stubPeriodType;
   private AdjustedRelativeDateOffset relativeEffectiveDate;
   private RelativeDateOffset relativeTerminationDate;
   private AdjustableDate firstPeriodStartDate;
   private java.util.Date firstRegularPeriodStartDate;
   private BusinessDayAdjustments calculationPeriodDatesAdjustments;
   private java.util.Date lastRegularPeriodEndDate;
   public String getId() {
      return this.id;
   }
   public CalculationPeriodFrequency getCalculationPeriodFrequency() {
      return this.calculationPeriodFrequency;
   }
   public DateInstances getEffectiveDate() {
      return this.effectiveDate;
   }
   public AdjustableDate getTerminationDate() {
      return this.terminationDate;
   }
   public java.util.Date getFirstCompoundingPeriodEndDate() {
      return this.firstCompoundingPeriodEndDate;
   }
   public StubPeriodTypeEnum getStubPeriodType() {
      return this.stubPeriodType;
   }
   public AdjustedRelativeDateOffset getRelativeEffectiveDate() {
      return this.relativeEffectiveDate;
   }
   public RelativeDateOffset getRelativeTerminationDate() {
      return this.relativeTerminationDate;
   }
   public AdjustableDate getFirstPeriodStartDate() {
      return this.firstPeriodStartDate;
   }
   public java.util.Date getFirstRegularPeriodStartDate() {
      return this.firstRegularPeriodStartDate;
   }
   public BusinessDayAdjustments getCalculationPeriodDatesAdjustments() {
      return this.calculationPeriodDatesAdjustments;
   }
   public java.util.Date getLastRegularPeriodEndDate() {
      return this.lastRegularPeriodEndDate;
   }
   public void setId(String id) {
      this.id = id;
   }
   public void setCalculationPeriodFrequency(CalculationPeriodFrequency calculationPeriodFrequency) {
      this.calculationPeriodFrequency = calculationPeriodFrequency;
   }
   public void setEffectiveDate(DateInstances effectiveDate) {
      this.effectiveDate = effectiveDate;
   }
   public void setTerminationDate(AdjustableDate terminationDate) {
      this.terminationDate = terminationDate;
   }
   public void setFirstCompoundingPeriodEndDate(java.util.Date firstCompoundingPeriodEndDate) {
      this.firstCompoundingPeriodEndDate = firstCompoundingPeriodEndDate;
   }
   public void setStubPeriodType(StubPeriodTypeEnum stubPeriodType) {
      this.stubPeriodType = stubPeriodType;
   }
   public void setRelativeEffectiveDate(AdjustedRelativeDateOffset relativeEffectiveDate) {
      this.relativeEffectiveDate = relativeEffectiveDate;
   }
   public void setRelativeTerminationDate(RelativeDateOffset relativeTerminationDate) {
      this.relativeTerminationDate = relativeTerminationDate;
   }
   public void setFirstPeriodStartDate(AdjustableDate firstPeriodStartDate) {
      this.firstPeriodStartDate = firstPeriodStartDate;
   }
   public void setFirstRegularPeriodStartDate(java.util.Date firstRegularPeriodStartDate) {
      this.firstRegularPeriodStartDate = firstRegularPeriodStartDate;
   }
   public void setCalculationPeriodDatesAdjustments(BusinessDayAdjustments calculationPeriodDatesAdjustments) {
      this.calculationPeriodDatesAdjustments = calculationPeriodDatesAdjustments;
   }
   public void setLastRegularPeriodEndDate(java.util.Date lastRegularPeriodEndDate) {
      this.lastRegularPeriodEndDate = lastRegularPeriodEndDate;
   }
}
