// this code is generated and should not be modified
package org.isda.cdm;

import org.hyperledger.composer.system.*;
import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@JsonIgnoreProperties({"$class"})
public class DeliverableObligations extends Concept {
   private ObligationCategoryEnum category;
   private boolean acceleratedOrMatured;
   private boolean accruedInterest;
   private PCDeliverableObligationCharac assignableLoan;
   private PCDeliverableObligationCharac consentRequiredLoan;
   private LoanParticipation directLoanParticipation;
   private String excluded;
   private boolean fullFaithAndCreditObLiability;
   private boolean generalFundObligationLiability;
   private LoanParticipation indirectLoanParticipation;
   private boolean listed;
   private Period maximumMaturity;
   private boolean notBearer;
   private boolean notContingent;
   private NotDomesticCurrency notDomesticCurrency;
   private boolean notDomesticIssuance;
   private boolean notDomesticLaw;
   private boolean notSovereignLender;
   private boolean notSubordinated;
   private String othReferenceEntityObligations;
   private boolean revenueObligationLiability;
   private SpecifiedCurrency specifiedCurrency;
   private boolean transferable;
   public ObligationCategoryEnum getCategory() {
      return this.category;
   }
   public boolean getAcceleratedOrMatured() {
      return this.acceleratedOrMatured;
   }
   public boolean getAccruedInterest() {
      return this.accruedInterest;
   }
   public PCDeliverableObligationCharac getAssignableLoan() {
      return this.assignableLoan;
   }
   public PCDeliverableObligationCharac getConsentRequiredLoan() {
      return this.consentRequiredLoan;
   }
   public LoanParticipation getDirectLoanParticipation() {
      return this.directLoanParticipation;
   }
   public String getExcluded() {
      return this.excluded;
   }
   public boolean getFullFaithAndCreditObLiability() {
      return this.fullFaithAndCreditObLiability;
   }
   public boolean getGeneralFundObligationLiability() {
      return this.generalFundObligationLiability;
   }
   public LoanParticipation getIndirectLoanParticipation() {
      return this.indirectLoanParticipation;
   }
   public boolean getListed() {
      return this.listed;
   }
   public Period getMaximumMaturity() {
      return this.maximumMaturity;
   }
   public boolean getNotBearer() {
      return this.notBearer;
   }
   public boolean getNotContingent() {
      return this.notContingent;
   }
   public NotDomesticCurrency getNotDomesticCurrency() {
      return this.notDomesticCurrency;
   }
   public boolean getNotDomesticIssuance() {
      return this.notDomesticIssuance;
   }
   public boolean getNotDomesticLaw() {
      return this.notDomesticLaw;
   }
   public boolean getNotSovereignLender() {
      return this.notSovereignLender;
   }
   public boolean getNotSubordinated() {
      return this.notSubordinated;
   }
   public String getOthReferenceEntityObligations() {
      return this.othReferenceEntityObligations;
   }
   public boolean getRevenueObligationLiability() {
      return this.revenueObligationLiability;
   }
   public SpecifiedCurrency getSpecifiedCurrency() {
      return this.specifiedCurrency;
   }
   public boolean getTransferable() {
      return this.transferable;
   }
   public void setCategory(ObligationCategoryEnum category) {
      this.category = category;
   }
   public void setAcceleratedOrMatured(boolean acceleratedOrMatured) {
      this.acceleratedOrMatured = acceleratedOrMatured;
   }
   public void setAccruedInterest(boolean accruedInterest) {
      this.accruedInterest = accruedInterest;
   }
   public void setAssignableLoan(PCDeliverableObligationCharac assignableLoan) {
      this.assignableLoan = assignableLoan;
   }
   public void setConsentRequiredLoan(PCDeliverableObligationCharac consentRequiredLoan) {
      this.consentRequiredLoan = consentRequiredLoan;
   }
   public void setDirectLoanParticipation(LoanParticipation directLoanParticipation) {
      this.directLoanParticipation = directLoanParticipation;
   }
   public void setExcluded(String excluded) {
      this.excluded = excluded;
   }
   public void setFullFaithAndCreditObLiability(boolean fullFaithAndCreditObLiability) {
      this.fullFaithAndCreditObLiability = fullFaithAndCreditObLiability;
   }
   public void setGeneralFundObligationLiability(boolean generalFundObligationLiability) {
      this.generalFundObligationLiability = generalFundObligationLiability;
   }
   public void setIndirectLoanParticipation(LoanParticipation indirectLoanParticipation) {
      this.indirectLoanParticipation = indirectLoanParticipation;
   }
   public void setListed(boolean listed) {
      this.listed = listed;
   }
   public void setMaximumMaturity(Period maximumMaturity) {
      this.maximumMaturity = maximumMaturity;
   }
   public void setNotBearer(boolean notBearer) {
      this.notBearer = notBearer;
   }
   public void setNotContingent(boolean notContingent) {
      this.notContingent = notContingent;
   }
   public void setNotDomesticCurrency(NotDomesticCurrency notDomesticCurrency) {
      this.notDomesticCurrency = notDomesticCurrency;
   }
   public void setNotDomesticIssuance(boolean notDomesticIssuance) {
      this.notDomesticIssuance = notDomesticIssuance;
   }
   public void setNotDomesticLaw(boolean notDomesticLaw) {
      this.notDomesticLaw = notDomesticLaw;
   }
   public void setNotSovereignLender(boolean notSovereignLender) {
      this.notSovereignLender = notSovereignLender;
   }
   public void setNotSubordinated(boolean notSubordinated) {
      this.notSubordinated = notSubordinated;
   }
   public void setOthReferenceEntityObligations(String othReferenceEntityObligations) {
      this.othReferenceEntityObligations = othReferenceEntityObligations;
   }
   public void setRevenueObligationLiability(boolean revenueObligationLiability) {
      this.revenueObligationLiability = revenueObligationLiability;
   }
   public void setSpecifiedCurrency(SpecifiedCurrency specifiedCurrency) {
      this.specifiedCurrency = specifiedCurrency;
   }
   public void setTransferable(boolean transferable) {
      this.transferable = transferable;
   }
}
