// this code is generated and should not be modified
package org.isda.cdm;

import org.hyperledger.composer.system.*;
import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@JsonIgnoreProperties({"$class"})
public class Transfer extends Concept {
   private GrossCashflow[] grossCashflow;
   private String settlementReference;
   private String rosettaKey;
   private AdjustableOrAdjustedOrRelativeDate transferDate;
   private String transferCalculation;
   private TransferTypeEnum transferType;
   private TransferStatusEnum transferStatus;
   private PayerReceiver payerReceiver;
   private Asset asset;
   private TransferorTransferee transferorTransferee;
   private Quantity quantity;
   private Money amount;
   public GrossCashflow[] getGrossCashflow() {
      return this.grossCashflow;
   }
   public String getSettlementReference() {
      return this.settlementReference;
   }
   public String getRosettaKey() {
      return this.rosettaKey;
   }
   public AdjustableOrAdjustedOrRelativeDate getTransferDate() {
      return this.transferDate;
   }
   public String getTransferCalculation() {
      return this.transferCalculation;
   }
   public TransferTypeEnum getTransferType() {
      return this.transferType;
   }
   public TransferStatusEnum getTransferStatus() {
      return this.transferStatus;
   }
   public PayerReceiver getPayerReceiver() {
      return this.payerReceiver;
   }
   public Asset getAsset() {
      return this.asset;
   }
   public TransferorTransferee getTransferorTransferee() {
      return this.transferorTransferee;
   }
   public Quantity getQuantity() {
      return this.quantity;
   }
   public Money getAmount() {
      return this.amount;
   }
   public void setGrossCashflow(GrossCashflow[] grossCashflow) {
      this.grossCashflow = grossCashflow;
   }
   public void setSettlementReference(String settlementReference) {
      this.settlementReference = settlementReference;
   }
   public void setRosettaKey(String rosettaKey) {
      this.rosettaKey = rosettaKey;
   }
   public void setTransferDate(AdjustableOrAdjustedOrRelativeDate transferDate) {
      this.transferDate = transferDate;
   }
   public void setTransferCalculation(String transferCalculation) {
      this.transferCalculation = transferCalculation;
   }
   public void setTransferType(TransferTypeEnum transferType) {
      this.transferType = transferType;
   }
   public void setTransferStatus(TransferStatusEnum transferStatus) {
      this.transferStatus = transferStatus;
   }
   public void setPayerReceiver(PayerReceiver payerReceiver) {
      this.payerReceiver = payerReceiver;
   }
   public void setAsset(Asset asset) {
      this.asset = asset;
   }
   public void setTransferorTransferee(TransferorTransferee transferorTransferee) {
      this.transferorTransferee = transferorTransferee;
   }
   public void setQuantity(Quantity quantity) {
      this.quantity = quantity;
   }
   public void setAmount(Money amount) {
      this.amount = amount;
   }
}
